Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.util
Class Info

    java.lang.Object
      javafe.util.Info

public class Info
extends java.lang.Object

The `Info` class is responsible for displaying verbose and debugging information to the user.

Information is displayed only if the `on` flag is set (via the `-v` option, defaults to unset).

Currently, information is displayed by printing it to `System.out`.

Future versions of this class may support identifying information with the section it comes from; verbose control could then be allowed on a section-by-section basis.

Field Summary
`static boolean` | `on` Verbose and debugging information is displayed iff this is true.

Constructor Summary
`private` | `Info()`

Method Summary
`static void` | `out(java.lang.String msg)` Report verbose or debugging information if `on` is set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### on

    public static boolean on

  Verbose and debugging information is displayed iff this is true. Defaults to false.

Constructor Detail

### Info

    private Info()

Method Detail

### out

    public static void out(java.lang.String msg)

  Report verbose or debugging information if `on` is set.

  Precondition: `msg` is not null.

  The message is displayed directly, without any indication that it is verbose or debugging information.

  Clients of this routine may wish to place calls to it within a conditional on `on`. For example, `if (Info.on) Info.out("[total count = " + countNodes() + "]");`

  This may be especially useful if `countNodes()` is an expensive operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage